import type { QueryInterface, DataTypes } from 'sequelize';
import type { DbModule } from './db';
import type { Logger, LoggerFactory } from './logger';
export declare type UpDownFunction = (queryInterface: QueryInterface, dataTypes: typeof DataTypes, logger: Logger) => Promise<any>;
/**
 * Runs migration script
 *
 * @param {Object} loggerFactory initialized logger factory, see {@link initLogging}
 * @param {DbModule} dbModule DB module, an object containing `init` function and `db` object, see {@link DbModule}
 */
declare function runMigration(loggerFactory: LoggerFactory, dbModule: DbModule): void;
export default runMigration;
//# sourceMappingURL=migration.d.ts.map