import type { StartDevServer } from '@cypress/webpack-dev-server';
/**
 * Performs common plugin and configuration setup - registers coverage plugin and sets `baseUrl` property if MANAGER_IP
 * environment variable is set
 *
 * @param on Adds listener function to the end of the listeners array for the given event
 *           @see https://nodejs.org/api/events.html#events_emitter_on_eventname_listener
 *           @see https://docs.cypress.io/api/events/catalog-of-events.html#App-Events
 * @param config Cypress configuration object to be updated
 * @param webpackConfig Webpack configuration
 * @returns Updated configuration
 */
declare const setupPluginsAndConfig: (on: Cypress.PluginEvents, config: Cypress.PluginConfigOptions, webpackConfig: StartDevServer['webpackConfig']) => Cypress.PluginConfigOptions;
export default setupPluginsAndConfig;
//# sourceMappingURL=index.d.ts.map