"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const setRemovingVideosForPassedTestsTask = (on) => {
    // Delete the recorded video for specs that had no retry attempts
    // https://github.com/cypress-io/cypress/issues/16377
    on('after:spec', async (_spec, results) => {
        if (results && results.video) {
            const failedTests = results.tests?.some(test => test.attempts.some(attempt => attempt?.state === 'failed'));
            if (!failedTests && results.video) {
                await fs_1.promises.unlink(results.video);
            }
        }
    });
};
exports.default = setRemovingVideosForPassedTestsTask;
//# sourceMappingURL=setRemovingVideosForPassedTestsTask.js.map