/// <reference types="cypress" />
declare type CustomCypressCommands = Record<string, (...args: any[]) => Cypress.CanReturnChainable>;
/**
 * Returns an object that contains custom Cypress commands with correct return types
 * (Cypress.Chainable)
 */
export declare type GetCypressChainableFromCommands<CustomCommands extends CustomCypressCommands> = {
    [P in keyof CustomCommands]: void extends ReturnType<CustomCommands[P]> ? (...args: Parameters<CustomCommands[P]>) => Cypress.Chainable : CustomCommands[P];
};
declare global {
    namespace Cypress {
        interface Chainable extends GetCypressChainableFromCommands<typeof commands> {
        }
    }
}
export declare const addCommands: (commands: CustomCypressCommands) => void;
declare const commands: {
    getAdminToken: () => Cypress.Chainable<any>;
};
export {};
//# sourceMappingURL=index.d.ts.map