"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addCommands = void 0;
const addCommands = (commands) => Object.entries(commands).forEach(([name, command]) => {
    Cypress.Commands.add(name, command);
});
exports.addCommands = addCommands;
const commands = {
    getAdminToken: () => cy
        .request({
        method: 'POST',
        url: '/console/sp/tokens',
        headers: {
            Authorization: `Basic ${btoa('admin:admin')}`,
            'Content-Type': 'application/json'
        },
        body: {
            description: 'UI tests authentication token',
            expiration_date: '+10h'
        }
    })
        .then(response => response.body.value)
};
(0, exports.addCommands)(commands);
//# sourceMappingURL=index.js.map