import type { NodeStatus } from './consts';
/**
 * Get node type icon character to be used with cloudify font.
 *
 * @param {string|string[]} hierarchy - node type hierarchy, from the most specific to the most generic,
 * can be single string (eg. "cloudify.nodes.Root")
 * or array of strings (eg. ["cloudify.nodes.CloudifyManager", "cloudify.nodes.SoftwareComponent", "cloudify.nodes.Root"]).
 *
 * @returns {string} character from cloudify font
 */
export declare function getNodeIcon(hierarchy: string | string[]): string;
/**
 * Get node status icon character to be used with cloudify font.
 *
 * @param {NodeStatus} nodeStatus - node status value.
 *
 * @returns {string} character from cloudify font or empty string for not {@link nodeStatuses} value
 */
export declare function getNodeStatusIcon(nodeStatus: NodeStatus): string;
/**
 * Get event type icon character to be used with cloudify font.
 *
 * @param {string} eventType - event type, eg. "workflow_started" or "task_received".
 *
 * @returns {string} character from cloudify font
 */
export declare function getEventIcon(eventType: string): string;
declare const _default: {
    getEventIcon: typeof getEventIcon;
    getNodeIcon: typeof getNodeIcon;
    getNodeStatusIcon: typeof getNodeStatusIcon;
};
export default _default;
//# sourceMappingURL=icons.d.ts.map