/**
 * Get type name of provided variable.
 *
 * @param {any} value any variable
 * @returns {string} variable type name
 */
export declare function toType(value: any): string;
/**
 * Get type, used in Cloudify core, of provided variable.
 *
 * @param {any} value any variable
 * @returns {string} variable Cloudify type name
 */
export declare function toCloudifyType(value: any): string | undefined;
/**
 * Get string value of provided variable.
 *
 * @param {any} value - any type variable
 * @returns {string} stringified value of provided variable
 */
export declare function getStringValue(value: any): string;
/**
 * Get typed value of provided string variable.
 *
 * @param {string} value - any string value
 * @returns {any} typed value of provided string
 */
export declare function getTypedValue(value: string): any;
declare const _default: {
    toType: typeof toType;
    toCloudifyType: typeof toCloudifyType;
    getStringValue: typeof getStringValue;
    getTypedValue: typeof getTypedValue;
};
export default _default;
//# sourceMappingURL=types.d.ts.map